#pragma once

#include <memory>
#include <string>

namespace OpenNN {
    class DataSet;
    class NeuralNetwork;
}

class NetworkTester
{
public:
    void testingDataset(std::shared_ptr<OpenNN::DataSet> testingDataset);
    void neuralNetwork(std::shared_ptr<OpenNN::NeuralNetwork> network);
    void resultFile(const std::string& resultFileName);
    void testNetwork();

private:
    std::shared_ptr<OpenNN::DataSet> testingSet_;
    std::shared_ptr<OpenNN::NeuralNetwork> network_;
    std::string resultFile_;
};
